
(*################################*)
 IMPLEMENTATION MODULE Debugging0;
(*################################*)

FROM Strings  IMPORT Insert;
FROM WholeStr IMPORT IntToStr;

IMPORT WINX;
FROM WINUSER IMPORT MessageBox, MB_OKCANCEL, MB_SETFOREGROUND;

(*==============================================*)
 PROCEDURE Assert(b:BOOLEAN; msg:ARRAY OF CHAR);
(*==============================================*)

VAR iRes    :INTEGER;

BEGIN

IF NOT b THEN
   iRes := MessageBox(WINX.NULL_HWND, msg, "Assertion", MB_SETFOREGROUND);
   HALT(1);
END;

END Assert;

(*==================================================*)
 PROCEDURE DebugPause(msg:ARRAY OF CHAR; i:INTEGER);
(*==================================================*)

VAR fullmsg :ARRAY[0..81] OF CHAR;
    iRes    :INTEGER;

BEGIN

IntToStr(i, fullmsg);
Insert('  ', 0, fullmsg);
Insert(msg, 0, fullmsg);

iRes := MessageBox(WINX.NULL_HWND, msg, "DebugPause", MB_OKCANCEL+MB_SETFOREGROUND);

END DebugPause;

END Debugging0.
